/*CSS for global stuff like dark mode, fonts...*/

/*BTFOing light mode users and force them to join the dark side*/
:root {
    color-scheme: dark;
}

/*Google material font for icons like that open-in-new thing for the external link*/
@font-face {
    font-family: 'Material Symbols Outlined';
    font-style: normal;
    font-weight: 400;
    src: url('/fonts/MaterialSymbolsOutlined.woff2') format('woff2');
}
/*General font because default fonts are for loosers*/
@font-face {
    font-family: 'Share Tech';
    font-style: normal;
    font-weight: 400;
    src: url('/fonts/ShareTech.woff2') format('woff2');
}

.material-symbols-outlined {
    font-family: 'Material Symbols Outlined';
    font-weight: normal;
    font-style: normal;
    font-size: 1.2rem !important;
    font-variation-settings: 'wght' 300;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    white-space: nowrap;
    word-wrap: normal;
    direction: ltr;
    -webkit-font-feature-settings: 'liga';
    -webkit-font-smoothing: antialiased;
    font-feature-settings: 'liga';
}

body {
    font-family: 'Share Tech', 'Courier New', monospace !important;
    background: url('/img/BG.jpg') no-repeat center center fixed !important;
    background-size: cover !important;
    margin: 0 !important;
    padding: 0;
    min-height: 100vh;
    position: relative;
    overflow-x: hidden;
    color: white;
}

body::before {
    content: " ";
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: 
        linear-gradient(rgba(18, 16, 16, 0) 50%, rgba(0, 0, 0, 0.25) 50%),
        rgba(0, 0, 0, 0.2); 
    background-size: 100% 4px;
    z-index: 1; 
    pointer-events: none;
}

h1, h2, h3, h4, strong {
    font-family: 'Share Tech', sans-serif !important;
    text-transform: uppercase;
    letter-spacing: 2px;
    text-shadow: 0 0 10px rgba(255, 255, 255, 0.3);
}